Page MenuHomePhabricator

Improve constraint property item suggestions for property constraint values (one-of)
Closed, ResolvedPublic

Description

As a user that works with constraint definitions I would like to get context based suggestions, so I see the semantically correct ( one-of ) items for suggestions better.

GIVEN I am on a property page.
WHEN I add a property 'property constraint' (Property P2302 on Wikidata)
AND I focus the input field and enter a search string
THEN I would like to see constraint items higher ranked in the suggestions.

GIVEN I am on a property page.
WHEN I add a property 'property constraint' (Property P2302 on Wikidata)
AND I focus the input field and enter 'single'
THEN I would like to see the 'single value constraint' item in the suggestions.

Patches:

Test here:
https://wikidata-constraints.wmflabs.org/wiki/Property:P31

Event Timeline

Jonas triaged this task as Normal priority.Jul 16 2018, 10:36 AM
Jonas created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2018, 10:36 AM
Jonas removed Jonas as the assignee of this task.Jul 16 2018, 10:43 AM
Jonas moved this task from Ready to estimate to In Progress on the Wikidata-Campsite board.

Change 446775 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/Wikibase@master] [WIP] Introduce entity suggestions hook

https://gerrit.wikimedia.org/r/446775

Jonas updated the task description. (Show Details)Jul 23 2018, 1:06 PM

Change 447783 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add OneOfConstraint suggestions

https://gerrit.wikimedia.org/r/447783

Jonas updated the task description. (Show Details)
Jonas updated the task description. (Show Details)Jul 26 2018, 12:07 PM

I think it may be the same use case as T189744 is aiming for - adding more parameters to wbsearchentities which allow to amend the results.

Jonas renamed this task from Improve constraint property item suggestions for property constraint values to Improve constraint property item suggestions for property constraint values (one-of).Aug 2 2018, 10:22 AM
Jonas updated the task description. (Show Details)

Change 450013 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/Wikibase@master] Allow adding default suggestion

https://gerrit.wikimedia.org/r/450013

Jonas updated the task description. (Show Details)Aug 6 2018, 3:54 PM
Nikki added a subscriber: Nikki.Aug 6 2018, 6:48 PM
Jonas updated the task description. (Show Details)Aug 23 2018, 2:00 PM

Change 446775 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Introduce entity suggestions hook

https://gerrit.wikimedia.org/r/446775

Change 447783 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add OneOfConstraint suggestions

https://gerrit.wikimedia.org/r/447783

Change 455187 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/Wikibase@master] Fix suggestion cache offset bug

https://gerrit.wikimedia.org/r/455187

Change 450013 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Allow adding default suggestion

https://gerrit.wikimedia.org/r/450013

Addshore moved this task from incoming to in progress on the Wikidata board.Sep 17 2018, 8:20 AM